# RGAA 3.0 -  Rule 4.22.1

## Summary

This test consists in detecting `<object>` and `<embed>` tags on the page.

The control that checks that the user is warned has to be done manually.

## Business description

### Criterion

[4.22](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-4-22)

###Test

[4.22.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-4-22-1)

### Description

Chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mMediaTemp">m&eacute;dia temporel</a> et non temporel ins&eacute;r&eacute; via une balise `object` ou `embed` v&eacute;rifie-t-il une de ces conditions (<a href="http://references.modernisation.gouv.fr/referentiel-technique-0#cpCrit4-22" title="Cas particuliers pour le crit&egrave;re 4.22">hors cas particuliers</a>) ? 
 
 *  Le nom, le r&ocirc;le, la valeur, le param&eacute;trage et les changements d'&eacute;tats des composants d'interfaces sont accessibles aux technologies d'assistance via une API d'accessibilit&eacute; 
 *  Une alternative <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mCompAccess">compatible avec une API d'accessibilit&eacute;</a> permet d'acc&eacute;der aux m&ecirc;mes fonctionnalit&eacute;s 


### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Semi-Decidable**

## Algorithm

#### Set1

All the `<embed>` and `<object>` tags (embed, object)

### Process

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Check user is warned in case of new window open

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has neither `<object>` nor `<embed>` tags (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.

On latest webdev data set (2013-10-30, 78,000 pages), the test scope
(embed, applet, object) has been found on 6795 pages, i.e on 8.7% of the
pages
