# RGAA 3.0 -  Rule 10.1.2

## Summary

This test consists in checking whether the page doesn't contain
attributes serving for the presentation of the information in the source
code.

## Business description

### Criterion

[10.1](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-10-1)

### Test

[10.1.2](http://references.modernisation.gouv.fr/referentiel-technique-0#test-10-1-2)

### Description

Dans chaque page Web, les attributs servant &agrave; la <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mPresInfo">pr&eacute;sentation de l'information</a> ne doivent pas &ecirc;tre pr&eacute;sents dans le code source des pages. Cette r&egrave;gle est-elle respect&eacute;e ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**decidable**

## Algorithm

### Selection

#### Set1

All the attributes defined as deprecated by the W3C.

-   Used nomenclature : "DeprecatedRepresentationAttributes"
-   Reference : deprecated column in
    [http://www.w3.org/TR/html4/index/attributes.html](http://www.w3.org/TR/html4/index/attributes.html "http://www.w3.org/TR/html4/index/attributes.html")
    (except "heigth" and "weigth" attributes for `<img>`, `<object>`, `<embed>`, `<canvas>` and `<svg>` tags)

### Process

#### Test1 

For each element of **Set1**, raise a MessageA

##### Message A : Presentation attribute found

-  code : PresentationAttrFound
-  status: Failed
-  parameter : tag name
-  present in source : yes


### Analysis

#### Passed

No deprecated tag found on the page (**Set1** is empty).

#### Failed

the document contains tags with deprecated atttributes (**Set1** is not empty)

## Notes

This rule may be tested for each kind of doctype. The current
implementation only tests the forbidden tags specified by w3c for HTML

