# RGAA 3.0 -  Rule 10.13.1

## Summary

This test consists in checking whether each hidden text of the page can
be displayed or is not supposed to be rendered to the user

## Business description

### Criterion

[10.13](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-10-13)

### Test

[10.13.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-10-13-1)

### Description

Dans chaque page Web, chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mTexteCache">texte cach&eacute;</a> v&eacute;rifie-t-il une de ces conditions ? 
 
 * Le texte n'a pas vocation &agrave; &ecirc;tre restitu&eacute; par les technologies d'assistance 
 * Le texte est rendu visible sur action de l'utilisateur sur l'&eacute;l&eacute;ment lui-m&ecirc;me ou un &eacute;l&eacute;ment pr&eacute;c&eacute;dant le <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mTexteCache">texte cach&eacute;</a> 
 * Le texte cach&eacute; fait partie d'un composant d'interface pilot&eacute; par l'API ARIA, prenant en charge l'&eacute;tat affich&eacute; ou masqu&eacute; du contenu. 


### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**semidecidable**

## Algorithm

### Selection

#### Set1

All the hidden text elements. Elements from the DOM with :

-   a not empty text and
-   a "display" css property equals to "none" or a "visibility" css
    property equals to "hidden", these properties can be inherited from
    a parent (see Note for more details about the selection)

### Process

The selection handles the process.

For each element of **Set1** raise a MessageA

##### Message 1: Hidden text detected

-   code : HiddenTextDetected
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no textual hidden element (**Set1** is empty)

#### re-Qualified

The page has textual hidden elements (**Set1** is not empty)

## Notes

The visibility of each element of the page is determined while fetching
the page, through a javascript script.

If the "display" css property is equal to "none" or the "visibility" css
property is equal to "hidden" for an element or one of its parents, this
element is seen as hidden.
