# RGAA 3.0 -  Rule 10.4.1

## Summary

Check wether a forbidden unit is present in all CSS media types screen,
tv, handheld and projection.

## Business description

### Criterion

[10.4](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-10-4)

### Test

[10.4.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-10-4-1)

### Description

Dans les <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mFeuilleStyle">feuilles de styles</a> du <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mSiteWeb">site Web</a>, les unit&eacute;s non relatives (`pt`, `pc`, `mm`, `cm`, `in`) ne doivent pas &ecirc;tre utilis&eacute;es pour les types de m&eacute;dia `screen`, `tv`, `handheld`, `projection`. Cette r&egrave;gle est-elle respect&eacute;e ?

### Level

**AA**

## Technical description

### Scope

**page**

### Decision level

**decidable**

## Algorithm

### Selection

#### Set1**

All the css Rules whose media is "screen", "tv", "handheld" or "projection".

##### Used nomenclature

-   MediaListNotAcceptingRelativeUnits

### Process

#### Test1

Check whether the properties of the css rules of **Set1** use a forbidden
unit (pt, pc, mm, cm, in, defined in the "RelativeCssUnits" nomenclature).

For each occurence returning true, raise a MessageA

#### Test2
A messageB is raised indicating that this css have to checked manually

##### MessageA : Bad Unit type

-   code : BadUnitType
-   status: Failed
-   parameter : css-selector name
-   present in source : yes

##### MessageB : Untested resource

-   code : UnTestedResource
-   status: Pre-Qualified
-   parameter : the resource name

### Analysis

#### Passed

No property of css rules of **Set1** uses a forbidden unit (**Test1** returns false for all the elements of **Set1**)

#### Failed

At least one css-rule of **Set1** contains a property that uses a forbidden unit (**Test1** returns true for at least one ement of **Set1**)

#### Pre-Qualified

If a css could not have parsed, and so not tested for any reason AND no
property of css rules of **Set1** uses a forbidden unit (**Test1** returns false
for all the elements of **Set1**)
