# RGAA 3.0 -  Rule 10.8.3

## Summary

This test consists in detecting `<object>`, `<svg>`, `<canvas>` or `<embed>` tags on the page.
The control has then to be done manually

## Business description

### Criterion

[10.8](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-10-8)

### Test

[10.8.3](http://references.modernisation.gouv.fr/referentiel-technique-0#test-10-8-3)

### Description

Pour chaque bloc de texte contenu dans une balise `object`, `embed`, `svg` ou `canvas`, la couleur de fond est-elle contr&ocirc;lable par l'utilisateur ?

### Level

**AAA**

## Technical description

### Scope

**page**

### Decision level

**semidecidable**

## Algorithm

### Selection

#### Set1

All the `<embed>`, `<svg>`, `<canvas>` and `<object>` tags (embed, svg, object, canvas)

### Process

The selection handles the process. For each occurence of the **Set1**, raise a MessageA 

###### MessageA : Check Manually the elements

-   code :ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has neither `<object>`, nor `<canvas>`, nor `<embed>`, nor `<svg>` tag (**Set1** is empty)

#### Pre-qualified

The page has at least one `<object>` or `<canvas>` or `<embed>` or `<svg>` tag (**Set1** is not empty)
