# RGAA 3.0 -  Rule 11.1.1

## Summary

This test consists in checking whether each form input has a label (implicit or explicit) or a `"title"`, `"aria-label"` or `"aria-labelledby"` attribute 

## Business description

### Criterion

[11.1](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-1)

###Test

[11.1.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-1-1)

### Description

Chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mChpSaisie">champ de formulaire</a> v&eacute;rifie-t-il une de ces conditions ? 
 
 *  Le champ de formulaire poss&egrave;de un attribut `title` 
 *  Une <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mEtiquette">&eacute;tiquette</a> (balise `label`) est associ&eacute;e au champ de formulaire 
 * Le <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mChpSaisie">champ de formulaire</a> poss&egrave;de une propri&eacute;t&eacute; `aria-label` 
 * Le <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mChpSaisie">champ de formulaire</a> poss&egrave;de une propri&eacute;t&eacute; `aria-labelledby` r&eacute;f&eacute;ren&ccedil;ant un passage de texte identifi&eacute; 

### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Decidable**

## Algorithm

### Selection

#### Set1 (input form fields)

All the `<input>` tags within a `<form>` tag with a `"type"` attribute equals to:
-  "text"
-   or "password"
-   or "checkbox"
-   or "radio"
-   or "file"
-   or "search"
-   or "tel"
-   or "email"
-   or "number"
-   or "url"
-   or "date"
-   or "range"
-   or "color"
-   or "time"

AND all the `<textarea>`, `<select>`, `<datalist>`, `<keygen>` tags

#### Set2

All the elements of **Set1** without `"title"`, `"aria-label"` or `"aria-labelledby"` attribute 

#### Set3

All the elements of **Set2** with no `<label>` tag as parent

#### Set4

All the elements of **Set3** with no `<label>` associated through its `"for"` attribute

### Process

#### Tests

##### Test1

For each element of **Set4**, raise a MessageA

#### Messages

##### MessageA : Form field without label

- code : InvalidFormField
- status: Failed
- parameter : tag name
- present in source : yes

### Analysis

#### Not Applicable

The page has no form input (**Set1** is empty)

#### Passed

All the form inputs have either a label, or a `"title"` attribute, or a `"aria-label"` attribute, or a `"aria-labelledby"` attribute (**Set4** is empty)

#### Failed

At least one form input have neither a label, nor a `"title"` attribute, nor a `"aria-label"` attribute, nor a `"aria-labelledby"` attribute (**Set4** is not empty)
