# RGAA 3.0 -  Rule 11.13.1

## Summary

This test consists in detecting `<form>` tags on the page.

The control that checks that modification mechanisms on personal data are provided has to be done manually

## Business description

### Criterion

[11.13](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-13)

###Test

[11.13.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-13-1)

### Description

Pour chaque formulaire, la saisie des donn&eacute;es v&eacute;rifie-t-elle une de ces conditions ? 
 
 *  L'utilisateur peut modifier ou annuler les donn&eacute;es et les actions effectu&eacute;es sur ces donn&eacute;es apr&egrave;s leur saisie 
 *  L'utilisateur peut v&eacute;rifier et corriger les donn&eacute;es avant la validation du formulaire 
 *  Un m&eacute;canisme de confirmation explicite, via un champ de formulaire ou une &eacute;tape suppl&eacute;mentaire, est pr&eacute;sent  


### Level

**AAA**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the `<form>` tags (form)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
