# RGAA 3.0 -  Rule 11.13.2

## Summary

This test consists in detecting `<form>` tags on the page.

The control that checks that recovery or confirmation mechanisms are provided in case of data deletion has to be done manually.

## Business description

### Criterion

[11.13](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-13)

### Test

[11.13.2](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-13-2)

### Description

Pour chaque formulaire, la suppression des donn&eacute;es v&eacute;rifie-t-elle une de ces conditions ? 
 
 *  Un m&eacute;canisme permet de r&eacute;cup&eacute;rer les donn&eacute;es supprim&eacute;es par l'utilisateur 
 *  Un m&eacute;canisme de confirmation explicite de la suppression, via un champ de formulaire ou une &eacute;tape suppl&eacute;mentaire, est pr&eacute;sent 


### Level

**AAA**

## Technical description

### Scope

**page**

### Decision level

**semidecidable**

## Algorithm

### Selection

#### Set1

All the `<form>` tags (form)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
