# RGAA 3.0 -  Rule 11.14.4

## Summary

This test consists in detecting textual input tags on the page.

The control that checks that each some help mechanisms are provided for each input has to be done manually.

## Business description

### Criterion

[11.14](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-14)

###Test

[11.14.4](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11.14.4)

### Description

Chaque champ de type texte v&eacute;rifie-t-il, si n&eacute;cessaire, l'une de ces conditions ? 
 
 * Un correcteur orthographique est disponible 
 * Des suggestions de saisie sont disponibles avant le champ du formulaire 
 * Des suggestions de saisie sont disponibles dans l'&eacute;tiquette (balise `label`, attribut `title`, propri&eacute;t&eacute; `aria-label`, passage de texte li&eacute; via la propri&eacute;t&eacute; `aria-labelledby`) du champ de formulaire 
 * Des suggestions de saisie sont disponibles dans un passage de texte li&eacute; par la propri&eacute;t&eacute; ARIA `aria-describedby` 

### Level

**AAA**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the form textual input tags (form:has(textarea) , form:has(input[type=password]) , form:has(input[type=text]))

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : element name, snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no form textual input tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
