# RGAA 3.0 -  Rule 11.2.1

## Summary

This test consists in detecting all the `<label>` tags within `<form>` on the page.

The control that checks that the label identifies precisely the input it is asssociated with has to be done manually.

## Business description

### Criterion

[11.2](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-2)

###Test

[11.2.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-2-1)

### Description

Chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mEtiquette">&eacute;tiquette</a> (balise `label`) permet-elle de conna&icirc;tre la fonction exacte du <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mChpSaisie">champ de formulaire</a> auquel elle est associ&eacute;e ?

### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the `<label>` tags within a `<form>` tag that also contains at least one user input element (form:has(textarea , select , input[type=password] , input[type=checkbox] , input[type=file] , input[type=text] , input[type=radio]) label)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : text, snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<label>` tag within a `<form>` tag that also contains at least one user input element (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
