# RGAA 3.0 -  Rule 11.8.1

## Summary

This test consists in detecting `<select>` tags with `<form>` tags as ancestor on the page.

The control that checks that items are grouped via a `<optgroup>`, if necessary has to be done manually.

## Business description

### Criterion

[11.8](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-8)

###Test

[11.8.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-8-1)

### Description

Dans chaque formulaire, pour chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mListeChoix">liste de choix</a> (balise `select`), les items sont-ils regroup&eacute;s avec une balise `optgroup`, si n&eacute;cessaire ?

### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

All the `<select>` tags within `<form>` tags (form select)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<select>` tag within `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the test is applicable.






