# RGAA 3.0 -  Rule 11.8.3

## Summary

This test consists in checking whether the `"label"` attribute of each `<optgroup>` tag is relevant

## Business description

### Criterion

[11.8](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-8)

### Test

[11.8.3](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-8-3)

### Description

Pour chaque regroupement d'items de liste (balise `optgroup`) ayant un attribut `label`, le contenu de l'attribut `label` est-il pertinent ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**semidecidable**

## Algorithm

### Selection

All the `<optgroup>` tags within a `<select>` tag with a `"label"` attribute (select optgroup[label])

### Process

#### Test1

For each occurence of the **Set1**, check whether the content of the `"label"` attribute is not relevant (see Notes about relevancy detection).

For each occurence of true-result of **Test1**, raise a MessageA.

For each occurence of false-result of **Test1**, raise a MessageB.

###### MessageA : Not pertinent optgroup label

-   code : NotPertinentOptgroupLabel
-   status: Failed
-   parameter : "label" attribute, tag name
-   present in source : yes

###### MessageB : Check Legend Pertinence

-   code : CheckLegendPertinence
-   status: Pre-Qualified
-   parameter : "label" attribute, tag name
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<optgroup>` tag with a `<select>` ancestor (**Set1** is empty)

#### Failed 

At least one `"label"` attribute of `<optgroup>` tag is not relevant (**Test1** returns true for at least one element)

#### Pre-qualified

All the `"label"` attributes of all `<optgroup>` tags are not seen as not relevant (**Test1** returns true for all elements of **Set1**)

## Notes

***Definition of not-pertinent optgroup label :***

A label of an `<optgroup>` tag is seen as not-pertinent in the following cases :

-   the content of the attribute is empty
-   the content of the attribute only contains non alphanumerics characters
