# RGAA 3.0 -  Rule 11.9.2

## Summary

This test consists in detecting `<form>` tags on the page.

The control that checks that each aria button title input is correctly implemented has to be done manually.

## Business description

### Criterion

[11.9](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-9)

###Test

[11.9.2](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-9-2)

### Description

Dans chaque formulaire, l'intitul&eacute; de chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mBtnForm">bouton</a> impl&eacute;ment&eacute; via une propri&eacute;t&eacute; ARIA `aria-labelledby` v&eacute;rifie-t-il ces conditions ? 
 
 * Le passage de texte servant d'intitul&eacute; poss&egrave;de un attribut `Id` 
 * La valeur de l'attribut `id` est unique 
 * La valeur de la propri&eacute;t&eacute; ARIA `aria-labelledby` est &eacute;gale &agrave; la valeur de l'attribut `id` du passage de texte 
 * Le passage de texte est pertinent 


### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the `<form>` tags (form)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
