# RGAA 3.0 -  Rule 13.1.2

## Summary

This test consists in checking whether a refresh action declared via the
`<meta>` tag is immediate

## Business description

### Criterion

[13.1](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-13-1)

### Test

[13.1.2](http://references.modernisation.gouv.fr/referentiel-technique-0#test-13-1-2)

### Description

Pour chaque page Web, chaque proc&eacute;d&eacute; de redirection effectu&eacute; via une balise `meta` est-il imm&eacute;diat (<a href="http://references.modernisation.gouv.fr/referentiel-technique-0#cpCrit13-1" title="Cas particuliers pour le crit&egrave;re 13.1">hors cas particuliers</a>) ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**decidable**

## Algorithm

### Selection

#### Set1

All the `<meta>` tags within a head with a `"http-equiv"` attribute
equals to "refresh" and a `"content"` attribute that contains the "URL" or
"url" occurence

### Process

#### Test1

We check whether the size of **Set1** is equal to 1.

#### Test2

If **Test1** is TRUE, we extract the delay value of the refresh regarding
the definition of meta tag (@see Notes)

Then we check whether the delay value is superior to 0. If true raise a
messageA

##### MessageA : Not Immediate Redirection via Meta

-   code : NotImmediateRedirectionViaMeta
-   status: Failed
-   parameter : tag name
-   present in source : yes

### Analysis

#### Not Applicable

-   The **Set1** is empty
-   Test1 returns FALSE

#### Failed

-   Test2 returns TRUE

#### Passed

-   Test2 returs FALSE

## Notes

We assume that the meta tag has to be defined has follows:

    `<meta http-equiv="refresh" content="delay;URL='URL'">`
