# RGAA 3.0 -  Rule 13.2.3

## Summary

This test consists in detecting forms on the page.

The control that checks that the user is warned has to be done manually.

## Business description

### Criterion

[13.2](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-13-2)

### Test

[13.2.3](http://references.modernisation.gouv.fr/referentiel-technique-0#test-13-2-3)

### Description

Dans chaque page Web, pour chaque ouverture d'une nouvelle fen&ecirc;tre effectu&eacute;e via un contr&ocirc;le de formulaire, l'utilisateur est-il averti ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**semidecidable**

## Algorithm

### Selection

#### Set1

All the `<form>`, `<select>` not within a `<form>`, `<textarea>` not
within a `<form>`, `<input>` not within a `<form>` and `<button>` not within
a `<form>` tags (form, select:not(form select), textarea:not(form
textarea), input:not(form input), button:not(form button))

### Process

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Check user is warned in case of new window open

-   code : CheckUserIsWarnedInCaseOfNewWindow
-   status: Pre-Qualified
-   parameter : text, title attribute, snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has neither `<form>`, nor `<select>` within a
`<form>`, nor `<input>` within a `<form>`, nor `<button>`within a `<form>`,
nor `<textarea>` within a `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.

On latest webdev data set (2013-10-30, 78,000 pages), the test scope
(form, select:not(form select), textarea:not(form textarea),
input:not(form input), button:not(form button)) has been found on 65632
pages, i.e on 84% of the pages (the test returns NA in 16% of the cases)
